nxt.util

## Class ResourceLookup

- java.lang.Object
- - nxt.util.ResourceLookup

-     public class ResourceLookup
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `USE_SYSTEM_CLASS_LOADER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceLookup()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `getResourceBytes(java.lang.String resourceName)`
    `static java.io.InputStream` | `getSystemResourceAsStream(java.lang.String resourceName)`
    `static JO` | `loadJsonResource(java.nio.file.Path path)`
    `static JO` | `loadJsonResource(java.lang.String resourceName)`
    `static java.io.InputStream` | `loadResourceBytes(java.lang.String resourceName)`
    `static java.io.Reader` | `loadResourceText(java.lang.String resourceName)`
    `static byte[]` | `readInputStream(java.io.InputStream is)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USE_SYSTEM_CLASS_LOADER

          public static final boolean USE_SYSTEM_CLASS_LOADER

  - ### Constructor Detail

    - #### ResourceLookup

          public ResourceLookup()

  - ### Method Detail

    - #### loadJsonResource

          public static JO loadJsonResource(java.lang.String resourceName)

    - #### loadJsonResource

          public static JO loadJsonResource(java.nio.file.Path path)

    - #### loadResourceText

          public static java.io.Reader loadResourceText(java.lang.String resourceName)

    - #### loadResourceBytes

          public static java.io.InputStream loadResourceBytes(java.lang.String resourceName)

    - #### getResourceBytes

          public static byte[] getResourceBytes(java.lang.String resourceName)

    - #### getSystemResourceAsStream

          public static java.io.InputStream getSystemResourceAsStream(java.lang.String resourceName)

    - #### readInputStream

          public static byte[] readInputStream(java.io.InputStream is)